classification
Title: MACOSX_DEPLOYMENT_TARGET set incorrectly by configure in Python 2.7
Type: Stage: resolved
Components: Build, macOS Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: debohman, ned.deily, ronaldoussoren
Priority: normal Keywords: patch

Created on 2015-06-08 21:44 by debohman, last changed 2018-04-15 20:30 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
configure.ac_diffs.txt debohman, 2015-06-08 21:44
Pull Requests
URL Status Linked Edit
PR 6469 merged ned.deily, 2018-04-14 14:25
Messages (3)
msg245038 - (view) Author: (debohman) Date: 2015-06-08 21:44
MACOSX_DEPLOYMENT_TARGET is not set correctly when building the 2.7.10 sources.  This causes readline to not be included in the build.

This appears to already be fixed in 3.4.3.  I picked up the change to configure.ac from 3.4.3 and it resolved the problem.

I am building on 10.9.5.  In my case MACOSX_DEPLOYMENT_TARGET was chosen as 10.4.

The configuration options I am using are:

./configure --enable-shared

Attaching diffs.
msg315292 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-14 14:37
New changeset ee8e4b61d6181f5bfadf6ee3d229f0ebda8a6ae9 by Ned Deily in branch '2.7':
[2.7] Backport macOS universal build and installer fixes from 3.6. (GH-6469)
https://github.com/python/cpython/commit/ee8e4b61d6181f5bfadf6ee3d229f0ebda8a6ae9
msg315339 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-15 20:30
Thanks for your suggested patch and my apologies for not replying sooner.  For Python 2.7.15, we have done some housecleaning of old macOS support issues and, as part of ee8e4b61d6181f5bfadf6ee3d229f0ebda8a6ae9 for Issue32726, I have backported the deployment target setting behavior from 3.x, i.e. the deployment target on current systems is now set to the build system's OS level unless overridden by MACOSX_DEPLOYMENT_TARGET= on the configure command or as an environment variable.  So the previous behavior can be forced by:

./configure MACOSX_DEPLOYMENT_TARGET=10.4

As you noted, using a proper value for the deployment target allows things like using the system libedit readline support and standard library support for more recent system calls.
History
Date User Action Args
2018-04-15 20:30:13ned.deilysetstatus: open -> closed
title: MACOSX_DEPLOYMENT_TARGET set incorrectly by configure -> MACOSX_DEPLOYMENT_TARGET set incorrectly by configure in Python 2.7
messages: + msg315339

resolution: fixed
stage: patch review -> resolved
2018-04-14 14:37:34ned.deilysetmessages: + msg315292
2018-04-14 14:25:13ned.deilysetkeywords: + patch
stage: patch review
pull_requests: + pull_request6165
2015-06-08 21:47:29ned.deilysetassignee: ned.deily

type: compile error ->
components: + macOS
nosy: + ronaldoussoren, ned.deily
2015-06-08 21:44:34debohmancreate